﻿namespace ExtSpec.Specifications.Expectations
{
    /// <summary>
    /// Static class used to expose the Expect method.
    /// </summary>
    public static class I
    {
        /// <summary>
        /// Creates a new expectation.
        /// </summary>
        /// <typeparam name="T">Any type.</typeparam>
        /// <param name="actual">The actual value.</param>
        public static IReversibleExpectation<T> Expect<T>(T actual)
        {
            return new Expectation<T>(actual);
        }
    }
}
