﻿namespace ExtSpec.Specifications
{
    using System;
    using Autofac.Extras.Moq;

    public abstract class UnitBase : IDisposable
    {
        public UnitBase()
        {
            this.AutoMocker = AutoMock.GetLoose();
        }

        public AutoMock AutoMocker { get; private set; }

        public virtual void Dispose()
        {
        }
    }
}
