﻿namespace ExtSpec.Build
{
    /// <summary>
    /// Static class for directory names.
    /// </summary>
    public static class DirectoryName
    {
        /// <summary>
        /// The build directory name.
        /// </summary>
        public const string Build = "Build";

        /// <summary>
        /// The example directory name.
        /// </summary>
        public const string Example = "examples";

        /// <summary>
        /// The library directory name.
        /// </summary>
        public const string Library = "libraries";

        /// <summary>
        /// The TypeScript directory name.
        /// </summary>
        public const string TypeScript = "TypeScript";
    }
}
