﻿namespace ExtSpec.Build
{
    /// <summary>
    /// Provides TypeScript compilation services.
    /// </summary>
    public interface IScriptCompiler
    {
        /// <summary>
        /// Compiles the library.
        /// </summary>
        /// <param name="buildScript">The build script.</param>
        void Compile(string buildScript);

        /// <summary>
        /// Post processes the compiled library.
        /// </summary>
        void PostProcess();
    }
}
