﻿namespace ExtSpec.Specifications.Helpers
{
    using System.Reflection;

    public static class ReflectionHelper
    {
        public static object GetFieldValue(object actual, string name)
        {
            return actual
                .GetType()
                .GetField(name, BindingFlags.Instance | BindingFlags.NonPublic)
                .GetValue(actual);
        }

        public static void SetFieldValue(object actual, string name, object value)
        {
            actual
                .GetType()
                .GetField(name, BindingFlags.Instance | BindingFlags.NonPublic)
                .SetValue(actual, value);
        }
    }
}
